Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.algorithms.optimization.termination
Class AbsoluteValueCondition

    java.lang.Object
      de.jstacs.algorithms.optimization.termination.AbstractTerminationCondition
          de.jstacs.algorithms.optimization.termination.AbsoluteValueCondition

All Implemented Interfaces:
  TerminationCondition, InstantiableFromParameterSet, Storable, Cloneable

Deprecated. use of the absolute value condition is not recommended and it may be removed in future releases

    public class AbsoluteValueCondition

extends AbstractTerminationCondition

This class stops an optimization if the value of the function becomes less or equal to an absolute value, i.e., .

Author:
  Jens Keilwagen

Nested Class Summary
`static class` | `AbsoluteValueCondition.AbsoluteValueConditionParameterSet` Deprecated. This class implements the parameter set for a `AbsoluteValueCondition`.

Nested classes/interfaces inherited from class de.jstacs.algorithms.optimization.termination.AbstractTerminationCondition
`AbstractTerminationCondition.AbstractTerminationConditionParameterSet`

Field Summary

Fields inherited from class de.jstacs.algorithms.optimization.termination.AbstractTerminationCondition
`parameter`

Constructor Summary
`AbsoluteValueCondition(AbsoluteValueCondition.AbsoluteValueConditionParameterSet parameter)` Deprecated. This is the main constructor creating an instance from a given parameter set.
`AbsoluteValueCondition(double threshold)` Deprecated. This constructor creates an instance that stops an minimization when the value of the function is below the given `threshold` Be careful!
`AbsoluteValueCondition(StringBuffer xml)` Deprecated. The standard constructor for the interface `Storable`.

Method Summary
`boolean` | `doNextIteration(int iteration, double f_last, double f_current, double[] gradient, double[] direction, double alpha, Time t)` Deprecated. This method allows to decide whether to do another iteration in an optimization or not.
`protected String` | `getXmlTag()` Deprecated. This method returns the xml tag that is used in the method `AbstractTerminationCondition.toXML()` and in the constructor `AbstractTerminationCondition.AbstractTerminationCondition(StringBuffer)`.
`boolean` | `isSimple()` Deprecated. This method returns `false` if the `TerminationCondition` uses either the gradient or the direction for the decision, otherwise it returns `true`.
`protected void` | `set()` Deprecated. This method sets internal member variables from `AbstractTerminationCondition.parameter`.

Methods inherited from class de.jstacs.algorithms.optimization.termination.AbstractTerminationCondition
`clone, getCurrentParameterSet, toXML`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbsoluteValueCondition

    public AbsoluteValueCondition(double threshold)
                           throws Exception

  Deprecated.
  This constructor creates an instance that stops an minimization when the value of the function is below the given `threshold`
  Be careful! If you set the value too low the minimization will not terminate.

  Parameters:
    `threshold` - the threshold for stopping the optimization
  Throws:
    `Exception` - if the parameter can not be set properly

### AbsoluteValueCondition

    public AbsoluteValueCondition(AbsoluteValueCondition.AbsoluteValueConditionParameterSet parameter)
                           throws CloneNotSupportedException

  Deprecated.
  This is the main constructor creating an instance from a given parameter set.

  Parameters:
    `parameter` - the set of parameters
  Throws:
    `CloneNotSupportedException` - if `parameter` can not be cloned properly.

### AbsoluteValueCondition

    public AbsoluteValueCondition(StringBuffer xml)
                           throws NonParsableException

  Deprecated.
  The standard constructor for the interface `Storable`. Constructs a `AbsoluteValueCondition` out of an XML representation.

  Parameters:
    `xml` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `AbsoluteValueCondition` could not be reconstructed out of the `StringBuffer` `xml`

Method Detail

### set

    protected void set()

  Deprecated.
  Description copied from class: `AbstractTerminationCondition`
  This method sets internal member variables from `AbstractTerminationCondition.parameter`. It is used in the constructors.

  Specified by:
    `set` in class `AbstractTerminationCondition`

### getXmlTag

    protected String getXmlTag()

  Deprecated.
  Description copied from class: `AbstractTerminationCondition`
  This method returns the xml tag that is used in the method `AbstractTerminationCondition.toXML()` and in the constructor `AbstractTerminationCondition.AbstractTerminationCondition(StringBuffer)`.

  Specified by:
    `getXmlTag` in class `AbstractTerminationCondition`
  Returns:
    the xml tag of the instance

### doNextIteration

    public boolean doNextIteration(int iteration,
                                   double f_last,
                                   double f_current,
                                   double[] gradient,
                                   double[] direction,
                                   double alpha,
                                   Time t)

  Deprecated.
  Description copied from interface: `TerminationCondition`
  This method allows to decide whether to do another iteration in an optimization or not. If it returns `true` it is recommended to do another iteration, otherwise (the method returns `false` and) it is recommended to stop the algorithm.

  Parameters:
    `iteration` - the number of performed iterations
    `f_last` - last value of the function
    `f_current` - current value of the function
    `gradient` - the gradient of the function
    `direction` - the last direction of the optimization
    `alpha` - the last step size
    `t` - a time object measuring the time that has been elapsed in the optimization
  Returns:
    `true` if another iteration should be done

### isSimple

    public boolean isSimple()

  Deprecated.
  Description copied from interface: `TerminationCondition`
  This method returns `false` if the `TerminationCondition` uses either the gradient or the direction for the decision, otherwise it returns `true`.

  Returns:
    `false` for gradient or direction based `TerminationCondition`s

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD